﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ViewDataViewBagTempDataSession.Controllers
{
    public class HomeController : Controller
    {

        public ActionResult Index()
        {
            ViewData["ViewDataValues"] = new[] {10, 20, 30};
            ViewBag.ViewBagValues = new[] {100, 200, 300};
            return View();
        }

        public ActionResult UsingTempData()
        {
            TempData["TempDataMessage"] = "Сообщение из объекта TempData";
            //return View();
            return RedirectToAction("UsingTempDataRedirect");
        }

        public ActionResult UsingTempDataRedirect()
        {
            return View();
        }

        public ActionResult UsingSession()
        {
            Session["SessionMessage"] = "Сообщение из объекта Session";
            TempData["TempDataMessage"] = "Сообщение из объекта TempData";
            //return View();
            return RedirectToAction("UsingTempDataRedirect");
        }

    }
}
